package com.acme;

public class UIComponentTag extends javax.faces.webapp.UIComponentTag
{
    private static org.slf4j.Logger _log = org.slf4j.LoggerFactory.getLogger( UIComponentTag.class );

    protected javax.el.ValueExpression myid; 

    public String getRendererType()
    {
        return( UIComponent.RENDERER_TYPE );
    }

    public String getComponentType()
    {
        return( UIComponent.COMPONENT_TYPE );
    }

    public javax.el.ValueExpression getIaid()
    {  
        return( myid );  
    }  

    protected void setProperties( javax.faces.component.UIComponent component )
    {
        super.setProperties( component );
        System.out.println( "Set Properties" );
        _log.trace( "Set Properties" );

        UIComponent ia = null;

        try
        {
            ia = (UIComponent)component;
        }
        catch( ClassCastException cce )
        {  
            throw new IllegalStateException( "Component " + component.toString() +  " not expected type.  Expected: UIComponent.  Perhaps you're missing a tag?");  
        }  

        if( myid != null)
        {  
            ia.setValueExpression( "myid", myid );  
        }  
    }
}
